BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 09-20-2005, 06:26 AM   #1 (permalink)
New Member
 
Join Date: Sep 2005
Model: 7230
Posts: 1
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default I need the SDK but canīt get it cause im not in the usa :(

Please Login to Remove!

Hi, ich tried to get the SDK 2.5 from the BB-Website. After registration a person from rim send me this mail:



Hello Sebastian,

Thank you for contacting BlackBerry.

I am following up on your request to download the RIM Software Development Kit (SDK) from our Web site. Canadian law prohibits the export of the SDK outside of the United States and Canada without authorization in the form of an export permit. Due to the limited number of requests for the SDK by developers outside of North America, and the resources required to obtain an export permit, RIM has chosen not to provide the SDK to developers outside of North America.

As an alternative, I would like to invite you to consider developing your application using Java instead. The BlackBerry Java Development Environment (JDE) will provide you with all the tools you need to develop your application for the next generation of BlackBerry Wireless Handhelds. It offers full support for the Java 2 Micro Edition (J2ME) MIDP/CLDC standard. The JDE also includes an extensive set of BlackBerry APIs that enable you to develop robust and integrated solutions for the BlackBerry platform. Subject to you agreeing to the applicable terms and conditions, you can download the JDE from the following site:

http://www.blackberry.net/developers...ls/index.shtml

You will be asked to enter your contact information again, but after doing so you will be immediately taken to the download site, and you will not need to wait for a further response from RIM.

After downloading the JDE, you can find support resources right on the BlackBerry web site. Simply visit the BlackBerry Developer Zone site for more information:

www.blackberry.net/developers

On the BlackBerry Developer Zone, you will find a Discussion Forum for Java Developers, a searchable Knowledge Base (including FAQs, tips, and sample code), technical documentation about BlackBerry and the JDE, and white papers on topics such as how to extend the enterprise corporate data access capabilities wirelessly using BlackBerry.

Please note that the SDK you originally requested is designed for the RIM 850, RIM 857, RIM 950, and RIM 957 Wireless Handhelds, which are generally sold in the United States and Canada. These handhelds operate on the DataTAC and Mobitex networks.

The JDE is a different set of tools from the SDK, and is designed for RIM Java-based wireless handhelds. These handhelds are designed for use in many countries around the world and operate on a variety of network types, including GSM/GPRS, CDMA 1xRTT, and iDEN.
Best Regards,

---------------------------------

I want to Develop in C/C++ so i need the SDK. What to do???


thanks,


s.michel
Offline  
Old 09-20-2005, 02:08 PM   #2 (permalink)
Retired BBF Moderator
 
Mark Rejhon's Avatar
 
Join Date: Aug 2004
Location: Ottawa, Ontario, Canada
Model: Bold
Carrier: Rogers
Posts: 4,870
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Are you aware that the older C/C++-capable BlackBerries are generally no longer being sold today?

For example, the popular BlackBerry 6XXX, 7XXX and 8XXX series, all only run Java applications. You generally cannot develop in C/C++ for these BlackBerry models.
__________________
Thanks,
Mark Rejhon
Author of XMPP extension XEP-0301:
www.xmpp.org/extensions/xep-0301.html - specification
www.realjabber.org - open source
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright Đ 2004-2014 BlackBerryForums.com.
The names RIM Đ and BlackBerry Đ are registered Trademarks of BlackBerry Inc.